<template>
  <div>
    <slot />
  </div>
</template>

<script>
export default {
  props: {
    multivalue: {
      type: Boolean,
      default: false
    },

    value: {
      type: Array,
      default: () => []
    }
  },

  provide() {
    return {
      getValue: () => {
        return this.value.slice();
      },
      updateValue: value => {
        if (!this.multivalue) {
          value = value.pop();
          if (!value) {
            return;
          }
          value = [value];
        }
        this.$emit("change", value);
      },
      getType: () => {
        return this.multivalue ? "checkbox" : "radio";
      }
    };
  }
};
</script>
